| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PropertyPolicy Class Reference

`#include <PropertyPolicy.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | PropertyPolicy ()
FASTDDS_EXPORTED_API | PropertyPolicy (const PropertyPolicy &property_policy)
FASTDDS_EXPORTED_API | PropertyPolicy (PropertyPolicy &&property_policy)
FASTDDS_EXPORTED_API PropertyPolicy & | operator= (const PropertyPolicy &property_policy)
FASTDDS_EXPORTED_API PropertyPolicy & | operator= (PropertyPolicy &&property_policy)
FASTDDS_EXPORTED_API bool | operator== (const PropertyPolicy &b) const
FASTDDS_EXPORTED_API bool | operator!= (const PropertyPolicy &b) const
FASTDDS_EXPORTED_API const PropertySeq & | properties () const
| Get properties.
FASTDDS_EXPORTED_API PropertySeq & | properties ()
| Set properties.
FASTDDS_EXPORTED_API const BinaryPropertySeq & | binary_properties () const
| Get binary_properties.
FASTDDS_EXPORTED_API BinaryPropertySeq & | binary_properties ()
| Set binary_properties.

## Constructor & Destructor Documentation

## ◆ PropertyPolicy() [1/3]

FASTDDS_EXPORTED_API PropertyPolicy | ( |  | ) |

inline

## ◆ PropertyPolicy() [2/3]

FASTDDS_EXPORTED_API PropertyPolicy | ( | const PropertyPolicy & | property_policy | ) |

inline

## ◆ PropertyPolicy() [3/3]

FASTDDS_EXPORTED_API PropertyPolicy | ( | PropertyPolicy && | property_policy | ) |

inline

## Member Function Documentation

## ◆ binary_properties() [1/2]

FASTDDS_EXPORTED_API BinaryPropertySeq & binary_properties | ( |  | ) |

inline

Set binary_properties.

## ◆ binary_properties() [2/2]

FASTDDS_EXPORTED_API const BinaryPropertySeq & binary_properties | ( |  | ) | const

inline

Get binary_properties.

## ◆ operator!=()

FASTDDS_EXPORTED_API bool operator!= | ( | const PropertyPolicy & | b | ) | const

inline

## ◆ operator=() [1/2]

FASTDDS_EXPORTED_API PropertyPolicy & operator= | ( | const PropertyPolicy & | property_policy | ) |

inline

## ◆ operator=() [2/2]

FASTDDS_EXPORTED_API PropertyPolicy & operator= | ( | PropertyPolicy && | property_policy | ) |

inline

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const PropertyPolicy & | b | ) | const

inline

## ◆ properties() [1/2]

FASTDDS_EXPORTED_API PropertySeq & properties | ( |  | ) |

inline

Set properties.

## ◆ properties() [2/2]

FASTDDS_EXPORTED_API const PropertySeq & properties | ( |  | ) | const

inline

Get properties.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/PropertyPolicy.hpp